<!DOCTYPE html>

<html lang="en">

<head>
    <title></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
</head>

<body>
    <canvas id="canvas"></canvas>
</body>

<script>
    

    var canvas = document.getElementById("canvas");
        var ctx = canvas.getContext("2d");

        var img1 = loadImage('./img/slideshow/test/toit1.png', main);
        var img2 = loadImage('./img/slideshow/test/body1.png', main);

        var imagesLoaded = 0;

        function main() {
            imagesLoaded += 1;

            if (imagesLoaded == 2) {
                canvas.width= img2.width;
                canvas.height=img1.height+img2.height;
                ctx.width = img1.width + img2.width;
                ctx.height= img2.height + img1.height;
                // composite now
                ctx.drawImage(img1,0,0);

                
                ctx.drawImage(img2, 0 , img1.height);
            }
        }

        function loadImage(src, onload) {
            // http://www.thefutureoftheweb.com/blog/image-onload-isnt-being-called
            var img = new Image();

            img.onload = onload;
            img.src = src;

            return img;
        }

   
</script>

</html>